<div id="static-sidebar">
	<div class="padder">
    
    
    	<?php do_action( 'bp_inside_before_sidebar' ) ?>

	<?php if ( is_user_logged_in() ) : ?>

		<?php do_action( 'bp_before_sidebar_me' ) ?>

		<div id="static-sidebar-me">
			<a href="<?php echo bp_loggedin_user_domain() ?>">
				<?php bp_loggedin_user_avatar( 'type=thumb&width=40&height=40' ) ?>
			</a>

			<h4><?php echo bp_core_get_userlink( bp_loggedin_user_id() ); ?></h4>
			<a class="button logout" href="<?php echo wp_logout_url( bp_get_root_domain() ) ?>"><?php _e( 'Log Out', 'buddypress' ) ?></a>
            
<h3 class="widgettitle">My Profile - <a href="<?php echo bp_loggedin_user_domain() . BP_XPROFILE_SLUG ?>/edit">Edit</a></h3>

			<ul id="bbw-personal">
            <li class="bbw-module-link"><a href="<?php echo bp_loggedin_user_domain() . BP_ACTIVITY_SLUG ?>/just-me">Activity</a></li>
            <?php if (bp_is_active('messages')) : ?>
                <li class="bbw-module-link"><a href="<?php echo bp_loggedin_user_domain() . BP_MESSAGES_SLUG ?>">Messages</a></li>
            <?php endif; ?>
			</ul>

			<ul id="bbw-community">
            <?php if (bp_is_active('friends')) : ?>
				<li class="bbw-module-link"><a href="<?php echo bp_loggedin_user_domain() . BP_FRIENDS_SLUG ?>/my-friends">Friends</a></li>
			<?php endif; ?>
			<?php if (bp_is_active('groups')) : ?>
				<li class="bbw-module-link"><a href="<?php echo bp_loggedin_user_domain() . BP_GROUPS_SLUG ?>/my-groups">Groups</a></li>
			</ul>
			<?php endif; ?>
            
			<?php do_action( 'bp_sidebar_me' ) ?>
		</div>

		<?php do_action( 'bp_after_sidebar_me' ) ?>

		<?php if ( function_exists( 'bp_message_get_notices' ) ) : ?>
			<?php bp_message_get_notices(); /* Site wide notices to all users */ ?>
		<?php endif; ?>

	<?php else : ?>

		<?php do_action( 'bp_before_sidebar_login_form' ) ?>

		<p id="login-text">
			<?php if ( bp_get_signup_allowed() ) : ?>
				<br><?php printf( __( 'Or you can <a href="%s" title="Create an account">create an account</a>.', 'buddypress' ), site_url( BP_REGISTER_SLUG . '/' ) ) ?>
			<?php endif; ?>
		</p>

		<form name="login-form" id="sidebar-login-form" class="standard-form" action="<?php echo site_url( 'wp-login.php', 'login_post' ) ?>" method="post">
			<label><?php _e( 'Username', 'buddypress' ) ?><br />
			<input type="text" name="log" id="sidebar-user-login" class="input" value="<?php echo esc_attr(stripslashes($user_login)); ?>" /></label>

			<label><?php _e( 'Password', 'buddypress' ) ?><br />
			<input type="password" name="pwd" id="sidebar-user-pass" class="input" value="" /></label>

			<p class="forgetmenot"><label><input name="rememberme" type="checkbox" id="sidebar-rememberme" value="forever" /> <?php _e( 'Remember Me', 'buddypress' ) ?></label></p>

			<?php do_action( 'bp_sidebar_login_form' ) ?>
			<input type="submit" name="wp-submit" id="sidebar-wp-submit" value="<?php _e('Log In'); ?>" tabindex="100" />
			<input type="hidden" name="testcookie" value="1" />
		</form>

		<?php do_action( 'bp_after_sidebar_login_form' ) ?>

	<?php endif; ?>
    
    
	<?php dynamic_sidebar( 'static sidebar' ) ?>
	</div><!-- .padder -->
</div><!-- #sidebar -->